## linux-lts-backport-oneiric 3.0.0-17.30~lucid1

=== Makefile ===
VERSION = 3
PATCHLEVEL = 0
SUBLEVEL = 22
EXTRAVERSION =
NAME = Sneaky Weasel

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := $(UBUNTUINCLUDE) -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include include/generated/autoconf.h

# UBUNTU: Include our third party driver stuff too
LINUXINCLUDE   += -Iubuntu/include $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

=== debian/changelog ===
linux-lts-backport-oneiric (3.0.0-17.30~lucid1) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #950573

  [ Andy Whitcroft ]

  * [Config] restore build-% shortcut

  [ Stefan Bader ]

  * (config) Fix virtual flavour inclusion of xen-kbdfront
    - LP: #944582

  [ Upstream Kernel Changes ]

  * readahead: fix pipeline break caused by block plug
    - LP: #931719
  * ALSA: HDA: Fix duplicated output to more than one codec
    - LP: #924320, #931719
  * ASoC: wm_hubs: Enable line out VMID buffer for single ended line
    outputs
    - LP: #931719
  * ASoC: wm_hubs: fix wrong bits for LINEOUT2 N/P mixer
    - LP: #931719
  * ARM: 7306/1: vfp: flush thread hwstate before restoring context from
    sigframe
    - LP: #931719
  * ARM: 7307/1: vfp: fix ptrace regset modification race
    - LP: #931719
  * ARM: 7308/1: vfp: flush thread hwstate before copying ptrace registers
    - LP: #931719
  * ARM: OMAP2+: GPMC: fix device size setup
    - LP: #931719
  * drivers/tty/vt/vt_ioctl.c: fix KDFONTOP 32bit compatibility layer
    - LP: #931719
  * proc: mem_release() should check mm != NULL
    - LP: #931719
  * proc: unify mem_read() and mem_write()
    - LP: #931719
  * proc: make sure mem_open() doesn't pin the target's memory
    - LP: #931719
  * firewire: ohci: add reset packet quirk for SB Audigy
    - LP: #931719
  * firewire: ohci: disable MSI on Ricoh controllers
    - LP: #931719
  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #931719
  * kprobes: fix a memory leak in function pre_handler_kretprobe()
    - LP: #931719
  * at_hdmac: bugfix for enabling channel irq
    - LP: #931719
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #931719
  * mm: compaction: check pfn_valid when entering a new MAX_ORDER_NR_PAGES
    block during isolation for migration
    - LP: #931719
  * drm/radeon: Set DESKTOP_HEIGHT register to the framebuffer (not mode)
    height.
    - LP: #931719
  * drm/nouveau/gem: fix fence_sync race / oops
    - LP: #931719
  * drm/radeon/kms: disable output polling when suspended
    - LP: #931719
  * sched/rt: Fix task stack corruption under
    __ARCH_WANT_INTERRUPTS_ON_CTXSW
    - LP: #931719
  * ASoC: Ensure we generate a driver name
    - LP: #931719
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #931719
  * drm/i915: HDMI hot remove notification to audio driver
    - LP: #931719
  * drm/i915: DisplayPort hot remove notification to audio driver
    - LP: #931719
  * drm/i915: check ACTHD of all rings
    - LP: #931719
  * drm/i915: Fix TV Out refresh rate.
    - LP: #931719
  * drm/i915: handle 3rd pipe
    - LP: #931719
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #931719
  * cifs: Fix oops in session setup code for null user mounts
    - LP: #931719
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #931719
  * lockdep, bug: Exclude TAINT_FIRMWARE_WORKAROUND from disabling lockdep
    - LP: #931719
  * hwmon: (w83627ehf) Fix number of fans for NCT6776F
    - LP: #931719
  * ASoC: wm_hubs: Fix routing of input PGAs to line output mixer
    - LP: #931719
  * ASoC: wm_hubs: Correct line input to line output 2 paths
    - LP: #931719
  * ASoC: wm8962: Fix word length configuration
    - LP: #931719
  * pcmcia: fix socket refcount decrementing on each resume
    - LP: #931719
  * mm: compaction: check for overlapping nodes during isolation for
    migration
    - LP: #931719
  * mm: fix UP THP spin_is_locked BUGs
    - LP: #931719
  * target: Use correct preempted registration sense code
    - LP: #931719
  * target: Allow PERSISTENT RESERVE IN for non-reservation holder
    - LP: #931719
  * target: Correct sense key for INVALID FIELD IN {PARAMETER LIST,CDB}
    - LP: #931719
  * Staging: asus_oled: fix image processing
    - LP: #931719
  * Staging: asus_oled: fix NULL-ptr crash on unloading
    - LP: #931719
  * staging: r8712u: Add new Sitecom UsB ID
    - LP: #931719
  * usb: gadget: zero: fix bug in loopback autoresume handling
    - LP: #931719
  * usb: Skip PCI USB quirk handling for Netlogic XLP
    - LP: #931719
  * USB: usbserial: add new PID number (0xa951) to the ftdi driver
    - LP: #931719
  * USB: add new zte 3g-dongle's pid to option.c
    - LP: #931719
  * mmc: cb710 core: Add missing spin_lock_init for irq_lock of struct
    cb710_chip
    - LP: #931719
  * powernow-k8: Avoid Pstate MSR accesses on systems supporting CPB
    - LP: #931719
  * powernow-k8: Fix indexing issue
    - LP: #931719
  * net: fix NULL dereferences in check_peer_redir()
    - LP: #931719
  * Linux 3.0.21
    - LP: #931719
  * hp_accel: Add a new PNP id
    - LP: #910040
  * be2net: move to new vlan model
    - LP: #880893
    - CVE-2011-3347
  * be2net: non-member vlan pkts not received in promiscous mode
    - LP: #880893
    - CVE-2011-3347
  * drm/radeon/kms: fix dp_detect handling for DP bridge chips
    - LP: #825777
  * drm/radeon/kms: fix TRAVIS panel setup
    - LP: #825777
  * perf evsel: Fix an issue where perf report fails to show the proper
    percentage
    - LP: #937915
  * perf tools: Fix perf stack to non executable on x86_64
    - LP: #937915
  * drm/i915: no lvds quirk for AOpen MP45
    - LP: #937915
  * hwmon: (f75375s) Fix bit shifting in f75375_write16
    - LP: #937915
  * lib: proportion: lower PROP_MAX_SHIFT to 32 on 64-bit kernel
    - LP: #937915
  * relay: prevent integer overflow in relay_open()
    - LP: #937915
  * mac80211: timeout a single frame in the rx reorder buffer
    - LP: #937915
  * writeback: fix dereferencing NULL bdi->dev on trace_writeback_queue
    - LP: #937915
  * gpio/pca953x: Fix warning of enabled interrupts in handler
    - LP: #937915
  * hwmon: (f75375s) Fix automatic pwm mode setting for F75373 & F75375
    - LP: #937915
  * crypto: sha512 - Use binary and instead of modulus
    - LP: #937915
  * crypto: sha512 - Avoid stack bloat on i386
    - LP: #937915


=== debian/control ===
Source: linux-lts-backport-oneiric
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid.git

Package: linux-headers-3.0.0-17
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
Description: Header files related to Linux kernel version 3.0.0
 This package provides kernel header files for version 3.0.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details


Package: linux-image-3.0.0-17-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Breaks: lvm2 (<< 2.02.54-1ubuntu3)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-lts-backport-oneiric-doc-3.0.0 | linux-lts-backport-oneiric-source-3.0.0, linux-lts-backport-oneiric-tools
Description: Linux kernel image for version 3.0.0 on x86/x86_64
 This package contains the Linux kernel image for version 3.0.0 on
 x86/x86_64.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.0.0-17-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-17, ${shlibs:Depends}
Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
Description: Linux kernel headers for version 3.0.0 on x86/x86_64
 This package provides kernel header files for version 3.0.0 on
 x86/x86_64.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details.

Package: linux-image-3.0.0-17-generic-dbgsym
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.0.0 on x86/x86_64
 This package provides a kernel debug image for version 3.0.0 on
 x86/x86_64.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-3.0.0-17-generic-pae
Architecture: i386
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Breaks: lvm2 (<< 2.02.54-1ubuntu3)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-lts-backport-oneiric-doc-3.0.0 | linux-lts-backport-oneiric-source-3.0.0, linux-lts-backport-oneiric-tools
Description: Linux kernel image for version 3.0.0 on x86
 This package contains the Linux kernel image for version 3.0.0 on
 x86.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward 32 bit desktop systems with more then 4GB RAM.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.0.0-17-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-17, ${shlibs:Depends}
Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
Description: Linux kernel headers for version 3.0.0 on x86
 This package provides kernel header files for version 3.0.0 on
 x86.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details.

Package: linux-image-3.0.0-17-generic-pae-dbgsym
Architecture: i386
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.0.0 on x86
 This package provides a kernel debug image for version 3.0.0 on
 x86.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-3.0.0-17-server
Architecture: amd64
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, redhat-cluster-modules, kvm-api-4, ivtv-modules, ndiswrapper-modules-1.9
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Breaks: lvm2 (<< 2.02.54-1ubuntu3)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-lts-backport-oneiric-doc-3.0.0 | linux-lts-backport-oneiric-source-3.0.0, linux-lts-backport-oneiric-tools
Description: Linux kernel image for version 3.0.0 on x86_64
 This package contains the Linux kernel image for version 3.0.0 on
 x86_64.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Server processors.
 .
 Geared toward 64 bit server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.0.0-17-server
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-17, ${shlibs:Depends}
Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
Description: Linux kernel headers for version 3.0.0 on x86_64
 This package provides kernel header files for version 3.0.0 on
 x86_64.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details.

Package: linux-image-3.0.0-17-server-dbgsym
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.0.0 on x86_64
 This package provides a kernel debug image for version 3.0.0 on
 x86_64.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-3.0.0-17-virtual
Architecture: i386 amd64
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Breaks: lvm2 (<< 2.02.54-1ubuntu3)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-lts-backport-oneiric-doc-3.0.0 | linux-lts-backport-oneiric-source-3.0.0, linux-lts-backport-oneiric-tools
Description: Linux kernel image for version 3.0.0 on x86/x86_64
 This package contains the Linux kernel image for version 3.0.0 on
 x86/x86_64.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Virtual processors.
 .
 Geared toward virtual appliances.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-virtual meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.0.0-17-virtual
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-17, ${shlibs:Depends}
Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
Description: Linux kernel headers for version 3.0.0 on x86/x86_64
 This package provides kernel header files for version 3.0.0 on
 x86/x86_64.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details.

Package: linux-image-3.0.0-17-virtual-dbgsym
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.0.0 on x86/x86_64
 This package provides a kernel debug image for version 3.0.0 on
 x86/x86_64.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: kernel-image-3.0.0-17-generic-di
XC-Package-Type: udeb
Provides: kernel-image
Architecture: amd64
XB-Kernel-Version: 3.0.0-17-generic
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-3.0.0-17-generic-di
XC-Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-3.0.0-17-generic-di, nic-shared-modules-3.0.0-17-generic-di, virtio-modules-3.0.0-17-generic-di
Architecture: amd64
XB-Kernel-Version: 3.0.0-17-generic
Section: debian-installer
Priority: standard
Description: Network interface support

Package: nic-shared-modules-3.0.0-17-generic-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-3.0.0-17-generic-di, crypto-modules-3.0.0-17-generic-di
Architecture: amd64
XB-Kernel-Version: 3.0.0-17-generic
Section: debian-installer
Priority: standard
Description: nic shared modules
  This package contains modules which support nic modules

Package: serial-modules-3.0.0-17-generic-di
XC-Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-3.0.0-17-generic-di
Architecture: amd64
XB-Kernel-Version: 3.0.0-17-generic
Section: debian-installer
Priority: standard
Description: Serial port support

Package: ppp-modules-3.0.0-17-generic-di
XC-Package-Type: udeb

## linux-lts-backport-oneiric 3.0.0-32.51~lucid1

=== debian/changelog ===
linux-lts-backport-oneiric (3.0.0-32.51~lucid1) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1158541

  [ Upstream Kernel Changes ]

  * printk: fix buffer overflow when calling log_prefix function from
    call_console_drivers
    - LP: #1145196
  * 3.0.66
    - LP: #1145196
  * x86-32, mm: Remove reference to resume_map_numa_kva()
    - LP: #1145196
  * mm: fix pageblock bitmap allocation
    - LP: #1145196
  * timeconst.pl: Eliminate Perl warning
    - LP: #1145196
  * genirq: Avoid deadlock in spurious handling
    - LP: #1145196
  * posix-cpu-timers: Fix nanosleep task_struct leak
    - LP: #1145196
  * hrtimer: Prevent hrtimer_enqueue_reprogram race
    - LP: #1145196
  * ALSA: ali5451: remove irq enabling in pointer callback
    - LP: #1145196
  * ALSA: rme32.c irq enabling after spin_lock_irq
    - LP: #1145196
  * tty: set_termios/set_termiox should not return -EINTR
    - LP: #1145196
  * xen: Send spinlock IPI to all waiters
    - LP: #1011792, #1145196
  * Driver core: treat unregistered bus_types as having no devices
    - LP: #1145196
  * mm: mmu_notifier: have mmu_notifiers use a global SRCU so they may
    safely schedule
    - LP: #1145196
  * mm: mmu_notifier: make the mmu_notifier srcu static
    - LP: #1145196
  * mmu_notifier_unregister NULL Pointer deref and multiple ->release()
    callouts
    - LP: #1145196
  * KVM: s390: Handle hosts not supporting s390-virtio.
    - LP: #1145196
  * s390/kvm: Fix store status for ACRS/FPRS
    - LP: #1145196
  * inotify: remove broken mask checks causing unmount to be EINVAL
    - LP: #1145196
  * ocfs2: unlock super lock if lockres refresh failed
    - LP: #1145196
  * drivers/video/backlight/adp88?0_bl.c: fix resume
    - LP: #1145196
  * tmpfs: fix use-after-free of mempolicy object
    - LP: #1145196
  * mm/fadvise.c: drain all pagevecs if POSIX_FADV_DONTNEED fails to
    discard all pages
    - LP: #1145196
  * NLM: Ensure that we resend all pending blocking locks after a reclaim
    - LP: #1145196
  * p54usb: corrected USB ID for T-Com Sinus 154 data II
    - LP: #1145196
  * ALSA: usb-audio: fix Roland A-PRO support
    - LP: #1145196
  * ALSA: usb: Fix Processing Unit Descriptor parsers
    - LP: #1145196
  * ext4: Free resources in some error path in ext4_fill_super
    - LP: #1145196
  * ext4: add missing kfree() on error return path in add_new_gdb()
    - LP: #1145196
  * sunvdc: Fix off-by-one in generic_request().
    - LP: #1145196
  * drm/usb: bind driver to correct device
    - LP: #1145196
  * drm/i915: disable shared panel fitter for pipe
    - LP: #1145196
  * staging: comedi: disallow COMEDI_DEVCONFIG on non-board minors
    - LP: #1145196
  * staging: vt6656: Fix URB submitted while active warning.
    - LP: #1145196
  * ARM: PXA3xx: program the CSMSADRCFG register
    - LP: #1145196
  * powerpc/kexec: Disable hard IRQ before kexec
    - LP: #1145196
  * Purge existing TLB entries in set_pte_at and ptep_set_wrprotect
    - LP: #1145196
  * pcmcia/vrc4171: Add missing spinlock init
    - LP: #1145196
  * fbcon: don't lose the console font across generic->chip driver switch
    - LP: #1145196
  * fb: rework locking to fix lock ordering on takeover
    - LP: #1145196
  * bridge: set priority of STP packets
    - LP: #1145196
  * xen-netback: correctly return errors from netbk_count_requests()
    - LP: #1145196
  * xen-netback: cancel the credit timer when taking the vif down
    - LP: #1145196
  * ipv4: fix a bug in ping_err().
    - LP: #1145196
  * ipv6: use a stronger hash for tcp
    - LP: #1145196
  * dca: check against empty dca_domains list before unregister provider
    - LP: #1145196
  * USB: option: add and update Alcatel modems
    - LP: #1145196
  * USB: option: add Yota / Megafon M100-1 4g modem
    - LP: #1145196
  * USB: option: add Huawei "ACM" devices using protocol = vendor
    - LP: #1145196
  * USB: ehci-omap: Fix autoloading of module
    - LP: #1145196
  * USB: storage: properly handle the endian issues of idProduct
    - LP: #1145196
  * USB: usb-storage: unusual_devs update for Super TOP SATA bridge
    - LP: #1145196
  * Linux 3.0.67
    - LP: #1145196
  * quota: autoload the quota_v2 module for QFMT_VFS_V1 quota format
    - LP: #1145196
  * iommu/amd: Initialize device table after dma_ops
    - LP: #1145196
  * posix-timer: Don't call idr_find() with out-of-range ID
    - LP: #1145196
  * ftrace: Call ftrace cleanup module notifier after all other notifiers
    - LP: #1145196
  * doc, xen: Mention 'earlyprintk=xen' in the documentation.
    - LP: #1145196
  * doc, kernel-parameters: Document 'console=hvc<n>'
    - LP: #1145196
  * x86: Make sure we can boot in the case the BDA contains pure garbage
    - LP: #1145196
  * target: Add missing mapped_lun bounds checking during make_mappedlun
    setup
    - LP: #1145196
  * ocfs2: ac->ac_allow_chain_relink=0 won't disable group relink
    - LP: #1145196
  * xen-blkback: do not leak mode property
    - LP: #1145196
  * idr: fix a subtle bug in idr_get_next()
    - LP: #1145196
  * firewire: add minor number range check to fw_device_init()
    - LP: #1145196
  * sysctl: fix null checking in bin_dn_node_address()
    - LP: #1145196
  * ext4: fix race in ext4_mb_add_n_trim()
    - LP: #1145196
  * svcrpc: make svc_age_temp_xprts enqueue under sv_lock
    - LP: #1145196
  * unbreak automounter support on 64-bit kernel with 32-bit userspace (v2)
    - LP: #1145196
  * x86: Do not leak kernel page mapping locations
    - LP: #1145196
  * x86/apic: Work around boot failure on HP ProLiant DL980 G7 Server
    systems
    - LP: #1145196
  * cpuset: fix cpuset_print_task_mems_allowed() vs rename() race
    - LP: #1145196
  * cgroup: fix exit() vs rmdir() race
    - LP: #1145196
  * dca: check against empty dca_domains list before unregister provider
    fix
    - LP: #1145196
  * s390/kvm: Fix store status for ACRS/FPRS fix
    - LP: #1145196


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
 Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid.git
 
-Package: linux-headers-3.0.0-17
+Package: linux-headers-3.0.0-32
 Architecture: all
 Section: devel
 Priority: optional
@@ -17,10 +17,10 @@
 Description: Header files related to Linux kernel version 3.0.0
  This package provides kernel header files for version 3.0.0, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details
-
-
-Package: linux-image-3.0.0-17-generic
+ /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-32/debian.README.gz for details
+
+
+Package: linux-image-3.0.0-32-generic
 Architecture: i386 amd64
 Section: admin
 Priority: optional
@@ -47,20 +47,20 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-3.0.0-17-generic
-Architecture: i386 amd64
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-17, ${shlibs:Depends}
+Package: linux-headers-3.0.0-32-generic
+Architecture: i386 amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-32, ${shlibs:Depends}
 Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
 Description: Linux kernel headers for version 3.0.0 on x86/x86_64
  This package provides kernel header files for version 3.0.0 on
  x86/x86_64.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details.
-
-Package: linux-image-3.0.0-17-generic-dbgsym
+ /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-32/debian.README.gz for details.
+
+Package: linux-image-3.0.0-32-generic-dbgsym
 Architecture: i386 amd64
 Section: devel
 Priority: optional
@@ -76,7 +76,7 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-image-3.0.0-17-generic-pae
+Package: linux-image-3.0.0-32-generic-pae
 Architecture: i386
 Section: admin
 Priority: optional
@@ -103,20 +103,20 @@
  the linux-generic-pae meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-3.0.0-17-generic-pae
-Architecture: i386
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-17, ${shlibs:Depends}
+Package: linux-headers-3.0.0-32-generic-pae
+Architecture: i386
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-32, ${shlibs:Depends}
 Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
 Description: Linux kernel headers for version 3.0.0 on x86
  This package provides kernel header files for version 3.0.0 on
  x86.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details.
-
-Package: linux-image-3.0.0-17-generic-pae-dbgsym
+ /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-32/debian.README.gz for details.
+
+Package: linux-image-3.0.0-32-generic-pae-dbgsym
 Architecture: i386
 Section: devel
 Priority: optional
@@ -132,7 +132,7 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-image-3.0.0-17-server
+Package: linux-image-3.0.0-32-server
 Architecture: amd64
 Section: admin
 Priority: optional
@@ -159,20 +159,20 @@
  the linux-server meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-3.0.0-17-server
+Package: linux-headers-3.0.0-32-server
 Architecture: amd64
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-17, ${shlibs:Depends}
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-32, ${shlibs:Depends}
 Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
 Description: Linux kernel headers for version 3.0.0 on x86_64
  This package provides kernel header files for version 3.0.0 on
  x86_64.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details.
-
-Package: linux-image-3.0.0-17-server-dbgsym
+ /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-32/debian.README.gz for details.
+
+Package: linux-image-3.0.0-32-server-dbgsym
 Architecture: amd64
 Section: devel
 Priority: optional
@@ -188,7 +188,7 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-image-3.0.0-17-virtual
+Package: linux-image-3.0.0-32-virtual
 Architecture: i386 amd64
 Section: admin
 Priority: optional
@@ -215,20 +215,20 @@
  the linux-virtual meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-3.0.0-17-virtual
-Architecture: i386 amd64
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-17, ${shlibs:Depends}
+Package: linux-headers-3.0.0-32-virtual
+Architecture: i386 amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.0.0-32, ${shlibs:Depends}
 Provides: linux-lts-backport-oneiric-headers, linux-lts-backport-oneiric-headers-2.6
 Description: Linux kernel headers for version 3.0.0 on x86/x86_64
  This package provides kernel header files for version 3.0.0 on
  x86/x86_64.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-17/debian.README.gz for details.
-
-Package: linux-image-3.0.0-17-virtual-dbgsym
+ /usr/share/doc/linux-lts-backport-oneiric-headers-3.0.0-32/debian.README.gz for details.
+
+Package: linux-image-3.0.0-32-virtual-dbgsym
 Architecture: i386 amd64
 Section: devel
 Priority: optional
@@ -244,11 +244,11 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: kernel-image-3.0.0-17-generic-di
+Package: kernel-image-3.0.0-32-generic-di
 XC-Package-Type: udeb
 Provides: kernel-image
-Architecture: amd64
-XB-Kernel-Version: 3.0.0-17-generic
+Architecture: i386
+XB-Kernel-Version: 3.0.0-32-generic
 Section: debian-installer
 Priority: extra
 Description: Linux kernel binary image for the Debian installer
@@ -256,36 +256,36 @@
  boot images. It does _not_ provide a usable kernel for your full
  Debian system.
 
-Package: nic-modules-3.0.0-17-generic-di
+Package: nic-modules-3.0.0-32-generic-di
 XC-Package-Type: udeb
 Provides: nic-modules
-Depends: kernel-image-3.0.0-17-generic-di, nic-shared-modules-3.0.0-17-generic-di, virtio-modules-3.0.0-17-generic-di
-Architecture: amd64
-XB-Kernel-Version: 3.0.0-17-generic
+Depends: kernel-image-3.0.0-32-generic-di, nic-shared-modules-3.0.0-32-generic-di, virtio-modules-3.0.0-32-generic-di
+Architecture: i386
+XB-Kernel-Version: 3.0.0-32-generic
 Section: debian-installer
 Priority: standard
 Description: Network interface support
 
-Package: nic-shared-modules-3.0.0-17-generic-di
+Package: nic-shared-modules-3.0.0-32-generic-di
 XC-Package-Type: udeb
 Provides: nic-shared-modules
-Depends: kernel-image-3.0.0-17-generic-di, crypto-modules-3.0.0-17-generic-di
-Architecture: amd64
-XB-Kernel-Version: 3.0.0-17-generic
+Depends: kernel-image-3.0.0-32-generic-di, crypto-modules-3.0.0-32-generic-di
+Architecture: i386
+XB-Kernel-Version: 3.0.0-32-generic
 Section: debian-installer
 Priority: standard
 Description: nic shared modules
   This package contains modules which support nic modules
 
-Package: serial-modules-3.0.0-17-generic-di
+Package: serial-modules-3.0.0-32-generic-di
 XC-Package-Type: udeb
 Provides: serial-modules
-Depends: kernel-image-3.0.0-17-generic-di
-Architecture: amd64
-XB-Kernel-Version: 3.0.0-17-generic
+Depends: kernel-image-3.0.0-32-generic-di
+Architecture: i386
+XB-Kernel-Version: 3.0.0-32-generic
 Section: debian-installer
 Priority: standard
 Description: Serial port support
 
-Package: ppp-modules-3.0.0-17-generic-di
-XC-Package-Type: udeb
+Package: ppp-modules-3.0.0-32-generic-di
+XC-Package-Type: udeb
